CS::Physics::Bullet::iPivotJoint Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Physics::Bullet::iPivotJoint Struct Reference

A joint to attach to a rigid body in order to manipulate it. More...

`#include <ivaria/bullet.h>`

Inheritance diagram for CS::Physics::Bullet::iPivotJoint:

List of all members.

## Public Member Functions
virtual void | Attach (::iRigidBody *body, const csVector3 &position)=0
| Attach a rigid body to the joint.
virtual iRigidBody * | GetAttachedBody () const =0
| Return the body attached to this joint, or 0 if there are none.
virtual csVector3 | GetPosition () const =0
| Get the current position of the joint, in world coordinates.
virtual void | SetPosition (const csVector3 &position)=0
| Set the new position of the joint, in world coordinates.

## Detailed Description

A joint to attach to a rigid body in order to manipulate it.

It is contrained in translation and has free rotation. You can move freely the position of the joint, the body will keep attached to the joint.

Definition at line 735 of file bullet.h.

## Member Function Documentation

virtual void CS::Physics::Bullet::iPivotJoint::Attach | ( | ::iRigidBody * | body,
|  | const csVector3 & | position
| ) |  | `[pure virtual]`

Attach a rigid body to the joint.

Parameters:

  body | The rigid body to attach to the joint.
  position | The initial position of the joint, in world coordinates.

virtual iRigidBody* CS::Physics::Bullet::iPivotJoint::GetAttachedBody | ( |  | ) | const`[pure virtual]`

Return the body attached to this joint, or 0 if there are none.

virtual csVector3 CS::Physics::Bullet::iPivotJoint::GetPosition | ( |  | ) | const`[pure virtual]`

Get the current position of the joint, in world coordinates.

virtual void CS::Physics::Bullet::iPivotJoint::SetPosition | ( | const csVector3 & | position | ) | `[pure virtual]`

Set the new position of the joint, in world coordinates.

The documentation for this struct was generated from the following file:

- ivaria/bullet.h